Subject: Offline Message from Zeina Jaber: Along with this order, I had other products
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 22 Jun 2020 11:41:28 -0000

From: Zeina Jaber <[email-masked]>
Phone: 
Location: Riyadh, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/trackhistory/track/shipmenttrack/id/VHVHa2NOdmcrN3dBLzFoY25HK21XQT09/key/2/
Department: 

Along with this order, I had other products also. This one was shipped later and I have delivered it. However, the other was shipped before and I still have no idea of its where about. please if I am not going to receive them let me know so that I can buy from where I live before its too late!!!!!!!!!!!!!!!!! This is very disrespectful to our time and money they were supposedly arriving in 10-15 days. 

----
Zopim
https://www.zopim.com